import { LLMProvider } from '../provider.js';
import { GenerateOptions, LLMResponse, ProviderOptions } from '../types.js';
/**
 * Anthropic-specific options
 */
export interface AnthropicOptions extends ProviderOptions {
    apiKey?: string;
    baseUrl?: string;
}
/**
 * Anthropic provider implementation
 */
export declare class AnthropicProvider implements LLMProvider {
    name: string;
    provider: string;
    model: string;
    private client;
    private apiKey;
    private baseUrl?;
    constructor(model: string, options?: AnthropicOptions);
    /**
     * Generate text using Anthropic API
     */
    generateText(options: GenerateOptions): Promise<LLMResponse>;
    /**
     * Format messages for Anthropic API
     */
    private formatMessages;
}
//# sourceMappingURL=anthropic.d.ts.map