import { LogLevel } from '../utils/logger.js';
export declare class TokenUsage {
    input: number;
    cacheWrites: number;
    cacheReads: number;
    output: number;
    constructor();
    add(usage: TokenUsage): void;
    clone(): TokenUsage;
    static sum(usages: TokenUsage[]): TokenUsage;
    getCost(): string;
    toString(): string;
}
export declare class TokenTracker {
    readonly name: string;
    readonly parent: TokenTracker | undefined;
    readonly logLevel: LogLevel;
    tokenUsage: TokenUsage;
    children: TokenTracker[];
    tokenCache?: boolean;
    constructor(name?: string, parent?: TokenTracker | undefined, logLevel?: LogLevel);
    getTotalUsage(): TokenUsage;
    getTotalCost(): string;
    toString(): string;
}
//# sourceMappingURL=tokens.d.ts.map