import { z } from 'zod';
import { Tool } from '../../core/types.js';
import { SelectorType } from './types.js';
declare const parameterSchema: z.ZodObject<{
    instanceId: z.ZodString;
    actionType: z.ZodEnum<["goto", "click", "type", "wait", "content", "close"]>;
    url: z.ZodOptional<z.ZodString>;
    selector: z.ZodOptional<z.ZodString>;
    selectorType: z.ZodOptional<z.ZodNativeEnum<typeof SelectorType>>;
    text: z.ZodOptional<z.ZodString>;
    description: z.ZodString;
}, "strip", z.ZodTypeAny, {
    description: string;
    instanceId: string;
    actionType: "type" | "close" | "goto" | "click" | "wait" | "content";
    text?: string | undefined;
    url?: string | undefined;
    selector?: string | undefined;
    selectorType?: SelectorType | undefined;
}, {
    description: string;
    instanceId: string;
    actionType: "type" | "close" | "goto" | "click" | "wait" | "content";
    text?: string | undefined;
    url?: string | undefined;
    selector?: string | undefined;
    selectorType?: SelectorType | undefined;
}>;
declare const returnSchema: z.ZodObject<{
    status: z.ZodString;
    content: z.ZodOptional<z.ZodString>;
    error: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    status: string;
    error?: string | undefined;
    content?: string | undefined;
}, {
    status: string;
    error?: string | undefined;
    content?: string | undefined;
}>;
type Parameters = z.infer<typeof parameterSchema>;
type ReturnType = z.infer<typeof returnSchema>;
export declare const browseMessageTool: Tool<Parameters, ReturnType>;
export {};
//# sourceMappingURL=browseMessage.d.ts.map