import { z } from 'zod';
import { Tool } from '../../core/types.js';
declare const parameterSchema: z.ZodObject<{
    url: z.ZodOptional<z.ZodString>;
    timeout: z.ZodOptional<z.ZodNumber>;
    description: z.ZodString;
}, "strip", z.ZodTypeAny, {
    description: string;
    url?: string | undefined;
    timeout?: number | undefined;
}, {
    description: string;
    url?: string | undefined;
    timeout?: number | undefined;
}>;
declare const returnSchema: z.ZodObject<{
    instanceId: z.ZodString;
    status: z.ZodString;
    content: z.ZodOptional<z.ZodString>;
    error: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    status: string;
    instanceId: string;
    error?: string | undefined;
    content?: string | undefined;
}, {
    status: string;
    instanceId: string;
    error?: string | undefined;
    content?: string | undefined;
}>;
type Parameters = z.infer<typeof parameterSchema>;
type ReturnType = z.infer<typeof returnSchema>;
export declare const browseStartTool: Tool<Parameters, ReturnType>;
export {};
//# sourceMappingURL=browseStart.d.ts.map