// Browser error codes
export var BrowserErrorCode;
(function (BrowserErrorCode) {
    BrowserErrorCode["LAUNCH_FAILED"] = "LAUNCH_FAILED";
    BrowserErrorCode["NAVIGATION_FAILED"] = "NAVIGATION_FAILED";
    BrowserErrorCode["SESSION_ERROR"] = "SESSION_ERROR";
    BrowserErrorCode["SELECTOR_ERROR"] = "SELECTOR_ERROR";
    BrowserErrorCode["TIMEOUT"] = "TIMEOUT";
    BrowserErrorCode["UNKNOWN"] = "UNKNOWN";
    BrowserErrorCode["SELECTOR_INVALID"] = "SELECTOR_INVALID";
    BrowserErrorCode["ELEMENT_NOT_FOUND"] = "ELEMENT_NOT_FOUND";
})(BrowserErrorCode || (BrowserErrorCode = {}));
// Browser error class
export class BrowserError extends Error {
    code;
    cause;
    constructor(message, code, cause) {
        super(message);
        this.code = code;
        this.cause = cause;
        this.name = 'BrowserError';
    }
}
// Selector types for element interaction
export var SelectorType;
(function (SelectorType) {
    SelectorType["CSS"] = "css";
    SelectorType["XPATH"] = "xpath";
    SelectorType["TEXT"] = "text";
    SelectorType["ROLE"] = "role";
    SelectorType["TESTID"] = "testid";
})(SelectorType || (SelectorType = {}));
// Global map to store browser sessions
export const browserSessions = new Map();
//# sourceMappingURL=types.js.map