import { z } from 'zod';
import { Tool } from '../../core/types.js';
declare const parameterSchema: z.ZodObject<{
    description: z.ZodString;
    goal: z.ZodString;
    projectContext: z.ZodString;
    workingDirectory: z.ZodOptional<z.ZodString>;
    relevantFilesDirectories: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    description: string;
    goal: string;
    projectContext: string;
    workingDirectory?: string | undefined;
    relevantFilesDirectories?: string | undefined;
}, {
    description: string;
    goal: string;
    projectContext: string;
    workingDirectory?: string | undefined;
    relevantFilesDirectories?: string | undefined;
}>;
declare const returnSchema: z.ZodObject<{
    response: z.ZodString;
}, "strip", z.ZodTypeAny, {
    response: string;
}, {
    response: string;
}>;
type Parameters = z.infer<typeof parameterSchema>;
type ReturnType = z.infer<typeof returnSchema>;
export declare const subAgentTool: Tool<Parameters, ReturnType>;
export {};
//# sourceMappingURL=subAgent.d.ts.map