import { z } from 'zod';
import { Tool } from '../../core/types.js';
declare const parameterSchema: z.ZodObject<{
    command: z.ZodEnum<["view", "create", "str_replace", "insert", "undo_edit"]>;
    path: z.ZodString;
    file_text: z.ZodOptional<z.ZodString>;
    insert_line: z.ZodOptional<z.ZodNumber>;
    new_str: z.ZodOptional<z.ZodString>;
    old_str: z.ZodOptional<z.ZodString>;
    view_range: z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>;
    description: z.ZodString;
}, "strip", z.ZodTypeAny, {
    path: string;
    command: "view" | "create" | "str_replace" | "insert" | "undo_edit";
    description: string;
    file_text?: string | undefined;
    insert_line?: number | undefined;
    new_str?: string | undefined;
    old_str?: string | undefined;
    view_range?: number[] | undefined;
}, {
    path: string;
    command: "view" | "create" | "str_replace" | "insert" | "undo_edit";
    description: string;
    file_text?: string | undefined;
    insert_line?: number | undefined;
    new_str?: string | undefined;
    old_str?: string | undefined;
    view_range?: number[] | undefined;
}>;
declare const returnSchema: z.ZodObject<{
    success: z.ZodBoolean;
    message: z.ZodString;
    content: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    message: string;
    success: boolean;
    content?: string | undefined;
}, {
    message: string;
    success: boolean;
    content?: string | undefined;
}>;
type Parameters = z.infer<typeof parameterSchema>;
type ReturnType = z.infer<typeof returnSchema>;
export declare const textEditorTool: Tool<Parameters, ReturnType>;
export {};
//# sourceMappingURL=textEditor.d.ts.map