import { z } from 'zod';
import { zodToJsonSchema } from 'zod-to-json-schema';
const parameterSchema = z.object({
    respawnContext: z.string().describe('The context to keep after respawning'),
});
const returnSchema = z.object({
    result: z
        .string()
        .describe('A message indicating that the respawn has been initiated'),
});
export const respawnTool = {
    name: 'respawn',
    description: 'Resets the agent context to just the system prompt and provided context',
    logPrefix: '🔄',
    parameters: parameterSchema,
    returns: returnSchema,
    parametersJsonSchema: zodToJsonSchema(parameterSchema),
    returnsJsonSchema: zodToJsonSchema(returnSchema),
    execute: (_params, _context) => {
        // This is a special case tool - the actual respawn logic is handled in toolAgent
        return Promise.resolve('Respawn initiated');
    },
};
//# sourceMappingURL=respawn.js.map