import { z } from 'zod';
import { zodToJsonSchema } from 'zod-to-json-schema';
const parameterSchema = z.object({
    result: z.string().describe('The final result to return from the tool agent'),
});
const returnSchema = z.object({
    result: z
        .string()
        .describe('This is returned to the caller of the tool agent.'),
});
export const sequenceCompleteTool = {
    name: 'sequenceComplete',
    description: 'Completes the tool use sequence and returns the final result',
    logPrefix: '✅',
    parameters: parameterSchema,
    parametersJsonSchema: zodToJsonSchema(parameterSchema),
    returns: returnSchema,
    returnsJsonSchema: zodToJsonSchema(returnSchema),
    execute: ({ result }) => Promise.resolve({ result }),
    logParameters: () => { },
    logReturns: (output, { logger }) => {
        logger.info(`Completed: ${output}`);
    },
};
//# sourceMappingURL=sequenceComplete.js.map