import { z } from 'zod';
import { Tool } from '../../core/types.js';
declare const parameterSchema: z.ZodObject<{
    command: z.ZodString;
    description: z.ZodString;
    timeout: z.ZodOptional<z.ZodNumber>;
}, "strip", z.ZodTypeAny, {
    command: string;
    description: string;
    timeout?: number | undefined;
}, {
    command: string;
    description: string;
    timeout?: number | undefined;
}>;
declare const returnSchema: z.ZodObject<{
    stdout: z.ZodString;
    stderr: z.ZodString;
    command: z.ZodString;
    code: z.ZodNumber;
    error: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    code: number;
    command: string;
    stdout: string;
    stderr: string;
    error?: string | undefined;
}, {
    code: number;
    command: string;
    stdout: string;
    stderr: string;
    error?: string | undefined;
}>;
type Parameters = z.infer<typeof parameterSchema>;
type ReturnType = z.infer<typeof returnSchema>;
export declare const shellExecuteTool: Tool<Parameters, ReturnType>;
export {};
//# sourceMappingURL=shellExecute.d.ts.map