import { z } from 'zod';
import { Tool } from '../../core/types.js';
export declare enum NodeSignals {
    SIGABRT = "SIGABRT",
    SIGALRM = "SIGALRM",
    SIGBUS = "SIGBUS",
    SIGCHLD = "SIGCHLD",
    SIGCONT = "SIGCONT",
    SIGFPE = "SIGFPE",
    SIGHUP = "SIGHUP",
    SIGILL = "SIGILL",
    SIGINT = "SIGINT",
    SIGIO = "SIGIO",
    SIGIOT = "SIGIOT",
    SIGKILL = "SIGKILL",
    SIGPIPE = "SIGPIPE",
    SIGPOLL = "SIGPOLL",
    SIGPROF = "SIGPROF",
    SIGPWR = "SIGPWR",
    SIGQUIT = "SIGQUIT",
    SIGSEGV = "SIGSEGV",
    SIGSTKFLT = "SIGSTKFLT",
    SIGSTOP = "SIGSTOP",
    SIGSYS = "SIGSYS",
    SIGTERM = "SIGTERM",
    SIGTRAP = "SIGTRAP",
    SIGTSTP = "SIGTSTP",
    SIGTTIN = "SIGTTIN",
    SIGTTOU = "SIGTTOU",
    SIGUNUSED = "SIGUNUSED",
    SIGURG = "SIGURG",
    SIGUSR1 = "SIGUSR1",
    SIGUSR2 = "SIGUSR2",
    SIGVTALRM = "SIGVTALRM",
    SIGWINCH = "SIGWINCH",
    SIGXCPU = "SIGXCPU",
    SIGXFSZ = "SIGXFSZ"
}
declare const parameterSchema: z.ZodObject<{
    instanceId: z.ZodString;
    stdin: z.ZodOptional<z.ZodString>;
    signal: z.ZodOptional<z.ZodNativeEnum<typeof NodeSignals>>;
    description: z.ZodString;
    showStdIn: z.ZodOptional<z.ZodBoolean>;
    showStdout: z.ZodOptional<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    description: string;
    instanceId: string;
    showStdIn?: boolean | undefined;
    showStdout?: boolean | undefined;
    stdin?: string | undefined;
    signal?: NodeSignals | undefined;
}, {
    description: string;
    instanceId: string;
    showStdIn?: boolean | undefined;
    showStdout?: boolean | undefined;
    stdin?: string | undefined;
    signal?: NodeSignals | undefined;
}>;
declare const returnSchema: z.ZodObject<{
    stdout: z.ZodString;
    stderr: z.ZodString;
    completed: z.ZodBoolean;
    error: z.ZodOptional<z.ZodString>;
    signaled: z.ZodOptional<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    stdout: string;
    stderr: string;
    completed: boolean;
    error?: string | undefined;
    signaled?: boolean | undefined;
}, {
    stdout: string;
    stderr: string;
    completed: boolean;
    error?: string | undefined;
    signaled?: boolean | undefined;
}>;
type Parameters = z.infer<typeof parameterSchema>;
type ReturnType = z.infer<typeof returnSchema>;
export declare const shellMessageTool: Tool<Parameters, ReturnType>;
export {};
//# sourceMappingURL=shellMessage.d.ts.map