import { ChalkInstance } from 'chalk';
export declare enum LogLevel {
    debug = 0,
    verbose = 1,
    info = 2,
    warn = 3,
    error = 4
}
export type LoggerStyler = {
    getColor(level: LogLevel, indentLevel: number): ChalkInstance;
    formatPrefix(prefix: string, level: LogLevel): string;
    showPrefix(level: LogLevel): boolean;
};
export declare const BasicLoggerStyler: {
    getColor: (level: LogLevel, _nesting?: number) => ChalkInstance;
    formatPrefix: (prefix: string, level: LogLevel, _nesting?: number) => string;
    showPrefix: (_level: LogLevel) => boolean;
};
export type LoggerProps = {
    name: string;
    logLevel?: LogLevel;
    parent?: Logger;
    customPrefix?: string;
};
export declare class Logger {
    private readonly prefix;
    private readonly logLevel;
    private readonly logLevelIndex;
    private readonly parent?;
    private readonly name;
    private readonly nesting;
    private readonly customPrefix?;
    constructor({ name, parent, logLevel, customPrefix, }: LoggerProps);
    private toStrings;
    private formatMessages;
    log(level: LogLevel, ...messages: unknown[]): void;
    debug(...messages: unknown[]): void;
    verbose(...messages: unknown[]): void;
    info(...messages: unknown[]): void;
    warn(...messages: unknown[]): void;
    error(...messages: unknown[]): void;
}
//# sourceMappingURL=logger.d.ts.map